﻿using Microsoft.AspNetCore.Mvc;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace BelovAPI.ModelBase
{
    [Route("api/[controller]")]
    [ApiController]
    [ApiExplorerSettings(GroupName = "Действия с пользователем")]
    [Table("users")]
    public class User
    {
        [Key]
        public int Id { get; set; }
        [Column("nameUser")]
        public string nameUser { get; set; }
        public int Age { get; set; }
    }
}
